#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SH1106.h>
#include <AudioAnalyzer.h>
#define OLED_RESET 0
Analyzer Audio = Analyzer(4,5,0);
Adafruit_SH1106 display(OLED_RESET);
int FreqVal[7]; 

void setup() {
  display.begin(SH1106_SWITCHCAPVCC, 0x3C); 
  Audio.Init();
}

void loop() {
  Audio.ReadFreq (FreqVal);
  display.clearDisplay();
  display.fillRect(1, floor (64-FreqVal[0]/16), 18, ceil (FreqVal[0]/16), 1);
  display.fillRect(19, floor (64-FreqVal[1]/16), 18, ceil (FreqVal[1]/16), 1);
  display.fillRect(37, floor (64-FreqVal[2]/16), 18, ceil (FreqVal[2]/16), 1);
  display.fillRect(55, floor(64-FreqVal[3]/16), 18, ceil(FreqVal[3]/16), 1);
  display.fillRect(73, floor(64-FreqVal[4]/16), 18, ceil (FreqVal[4]/16), 1);
  display.fillRect(91, floor (64-FreqVal[5]/16), 18, ceil (FreqVal[5]/16), 1);
  display.fillRect(109, floor (64-FreqVal[6]/16), 18, ceil (FreqVal[6]/16), 1);
  display.display();
  delay(10);

}
